Index: code/branches/mergeFS18/data/levels/3DPacman.oxw
===================================================================
--- code/branches/mergeFS18/data/levels/3DPacman.oxw	(revision 12045)
+++ code/branches/mergeFS18/data/levels/3DPacman.oxw	(revision 12045)
@@ -0,0 +1,1829 @@
+<LevelInfo
+ name = "3DPacman"
+ description = "A 3DVersion of Pacman."
+ tags = "minigame"
+ screenshot = "Pacman.png"
+/>
+
+<?lua
+  include("stats.oxo")
+  include("PacmanHUD.oxo")
+  include("templates/lodInformation.oxt")
+?>
+
+<?lua
+  include("templates/PacmanGelb.oxt")
+?>
+
+<Level
+  plugins = pacman
+  gametype = Pacman
+>
+
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+  <?lua include("includes/notifications.oxi") ?>
+
+  <Scene
+    ambientlight = "0.8, 0.8, 0.8"
+    skybox       = "Orxonox/Starbox"
+  >
+
+    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
+    <SpawnPoint team=0 position="0,10,150" lookat="0,0,0" spawnclass=PacmanGelb pawndesign=PacmanGelb />
+
+<!-- GHOSTS -->
+<PacmanGhost position="0,10,15" >
+    <attached>
+        <Model position="0,0,0" mesh="PacmanGhostRed.mesh" scale="5" />
+    </attached>
+</PacmanGhost>
+
+<PacmanGhost position="0,10,15" >
+    <attached>
+        <Model position="0,0,0" mesh="PacmanGhostBlue.mesh" scale="5" />
+    </attached>
+</PacmanGhost>
+
+<PacmanGhost position="0,10,15" >
+    <attached>
+        <Model position="0,0,0" mesh="PacmanGhostOrange.mesh" scale="5" />
+    </attached>
+</PacmanGhost>
+
+<PacmanGhost position="0,10,15" >
+    <attached>
+        <Model position="0,0,0" mesh="PacmanGhostPink.mesh" scale="5" />
+    </attached>
+</PacmanGhost>
+
+
+<PacmanGhost position="0,-20,0" >
+    <attached>
+        <Model position="0,0,0" mesh="PacmanAfraidGhost.mesh" scale="5" />
+    </attached>
+</PacmanGhost>
+
+<PacmanGhost position="0,-20,0" >
+    <attached>
+        <Model position="0,0,0" mesh="PacmanAfraidGhost.mesh" scale="5" />
+    </attached>
+</PacmanGhost>
+
+<PacmanGhost position="0,-20,0" >
+    <attached>
+        <Model position="0,0,0" mesh="PacmanAfraidGhost.mesh" scale="5" />
+    </attached>
+</PacmanGhost>
+
+<PacmanGhost position="0,-20,0" >
+    <attached>
+        <Model position="0,0,0" mesh="PacmanAfraidGhost.mesh" scale="5" />
+    </attached>
+</PacmanGhost>
+
+
+
+<!-- POINTS first Line -->
+<PacmanPointSphere position="-215,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-197,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-179,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-161,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-143,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-125,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-107,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-89,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-71,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-53,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-35,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-20,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-7,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="7,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="20,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="38,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="56,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="74,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="92,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="110,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="128,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="146,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="164,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="182,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="200,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="215,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+
+<!-- POINTS seconde Line -->
+<PacmanPointSphere position="-215,10,195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-197,10,195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-179,10,195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-161,10,195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-143,10,195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-125,10,195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- 7 and 8 -->
+
+<PacmanPointSphere position="-71,10,195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-53,10,195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-35,10,195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-20,10,195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- 13 and 14 -->
+
+<PacmanPointSphere position="20,10,195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="38,10,195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="56,10,195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="74,10,195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- 19 and 20 -->
+
+<PacmanPointSphere position="128,10,195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="146,10,195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="164,10,195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="182,10,195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="200,10,195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="215,10,195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- POINTS third Line -->
+<PacmanPointSphere position="-215,10,150">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-197,10,150">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-179,10,150">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- 4 and 5 -->
+
+<PacmanPointSphere position="-125,10,150">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-107,10,150">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-89,10,150">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-71,10,150">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-53,10,150">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-35,10,150">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-20,10,150">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- 13 and 14 -->
+
+<PacmanPointSphere position="20,10,150">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="38,10,150">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="56,10,150">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="74,10,150">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="92,10,150">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="110,10,150">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="128,10,150">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- 22 and 23 -->
+
+<PacmanPointSphere position="182,10,150">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="200,10,150">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="215,10,150">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+
+<!-- POINTS fourth Line -->
+<PacmanPointSphere position="-215,10,105">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-197,10,105">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-179,10,105">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-161,10,105">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-143,10,105">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-125,10,105">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-107,10,105">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-89,10,105">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-71,10,105">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-53,10,105">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-35,10,105">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-20,10,105">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- 13 and 14 -->
+
+<PacmanPointSphere position="20,10,105">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="38,10,105">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="56,10,105">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="74,10,105">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="92,10,105">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="110,10,105">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="128,10,105">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="146,10,105">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="164,10,105">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="182,10,105">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="200,10,105">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="215,10,105">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- POINTS fifth Line -->
+<PacmanPointSphere position="-215,10,-85">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-197,10,-85">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-179,10,-85">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-161,10,-85">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-143,10,-85">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-125,10,-85">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- 7 and 8 -->
+
+<PacmanPointSphere position="-71,10,-85">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-53,10,-85">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-35,10,-85">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-20,10,-85">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- 13 and 14 -->
+
+<PacmanPointSphere position="20,10,-85">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="38,10,-85">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="56,10,-85">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="74,10,-85">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- 19 and 20 -->
+
+<PacmanPointSphere position="128,10,-85">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="146,10,-85">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="164,10,-85">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="182,10,-85">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="200,10,-85">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="215,10,-85">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- POINTS sixth Line -->
+<PacmanPointSphere position="-215,10,-135">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-197,10,-135">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-179,10,-135">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-161,10,-135">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-143,10,-135">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-125,10,-135">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-107,10,-135">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-89,10,-135">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-71,10,-135">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-53,10,-135">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-35,10,-135">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-20,10,-135">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-7,10,-135">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="7,10,-135">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="20,10,-135">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="38,10,-135">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="56,10,-135">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="74,10,-135">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="92,10,-135">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="110,10,-135">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="128,10,-135">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="146,10,-135">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="164,10,-135">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="182,10,-135">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="200,10,-135">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="215,10,-135">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- POINTS seventh Line -->
+<PacmanPointSphere position="-215,10,-195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-197,10,-195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-179,10,-195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-161,10,-195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-143,10,-195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-125,10,-195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-107,10,-195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-89,10,-195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-71,10,-195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-53,10,-195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-35,10,-195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-20,10,-195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- 13 and 14 -->
+
+<PacmanPointSphere position="20,10,-195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="38,10,-195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="56,10,-195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="74,10,-195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="92,10,-195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="110,10,-195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="128,10,-195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="146,10,-195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="164,10,-195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="182,10,-195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="200,10,-195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="215,10,-195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- POINTS first column -->
+
+<!-- 1 -->
+
+<PacmanPointSphere position="-215,10,-179">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-215,10,-163">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-215,10,-147">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- 5 -->
+
+<PacmanPointSphere position="-215,10,-115">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-215,10,-99">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- 8 -->
+
+<!-- 9 until 19 -->
+
+<!-- 20 -->
+
+<PacmanPointSphere position="-215,10,122">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-215,10,137">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- 23 -->
+
+<!-- 24 and 25 -->
+
+<!-- 26 -->
+
+<PacmanPointSphere position="-215,10,214">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-215,10,229">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- 29 -->
+
+
+<!-- POINTS seconde column -->
+
+<!-- 1 -->
+
+<PacmanPointSphere position="-135,10,-179">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-135,10,-163">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-135,10,-147">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- 5 -->
+
+<PacmanPointSphere position="-135,10,-115">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-135,10,-99">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- 8 -->
+
+<PacmanPointSphere position="-135,10,-67">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-135,10,-51">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-135,10,-35">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-135,10,-19">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-135,10,-3">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-135,10,15">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-135,10,30">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-135,10,45">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-135,10,61">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-135,10,76">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-135,10,91">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- 20 -->
+
+<PacmanPointSphere position="-135,10,122">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-135,10,137">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- 23 -->
+
+<PacmanPointSphere position="-135,10,168">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-135,10,183">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- 26 -->
+
+<!-- 27 and 28 -->
+
+<!-- 29 -->
+
+
+<!-- POINTS third column -->
+
+<!-- 1 -->
+
+<!-- 2 until 4 -->
+
+<!-- 5 -->
+
+<PacmanPointSphere position="-70,10,-115">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-70,10,-99">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- 8 -->
+
+<!-- 9 until 19 -->
+
+<!-- 20 -->
+
+<!-- 21 and 22 -->
+
+<!-- 23 -->
+
+<PacmanPointSphere position="-70,10,168">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-70,10,183">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- 26 -->
+
+<!-- 27 and 28 -->
+
+<!-- 29 -->
+
+
+<!-- POINTS fourth column -->
+
+<!-- 1 -->
+
+<PacmanPointSphere position="-20,10,-179">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-20,10,-163">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-20,10,-147">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- 5 -->
+
+<!-- 6 and 7 -->
+
+<!-- 8 -->
+
+<!-- 9 and 19 -->
+
+<!-- 20 -->
+
+<PacmanPointSphere position="-20,10,122">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-20,10,137">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- 23 -->
+
+<!-- 24 and 25 -->
+
+<!-- 26 -->
+
+<PacmanPointSphere position="-20,10,214">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-20,10,229">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- 29 -->
+
+
+<!-- POINTS fifth column -->
+
+<!-- 1 -->
+
+<PacmanPointSphere position="20,10,-179">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="20,10,-163">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="20,10,-147">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- 5 -->
+
+<!-- 6 and 7 -->
+
+<!-- 8 -->
+
+<!-- 9 and 19 -->
+
+<!-- 20 -->
+
+<PacmanPointSphere position="20,10,122">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="20,10,137">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- 23 -->
+
+<!-- 24 and 25 -->
+
+<!-- 26 -->
+
+<PacmanPointSphere position="20,10,214">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="20,10,229">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- 29 -->
+
+
+<!-- POINTS sixth column -->
+
+<!-- 1 -->
+
+<!-- 2 until 4 -->
+
+<!-- 5 -->
+
+<PacmanPointSphere position="70,10,-115">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="70,10,-99">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- 8 -->
+
+<!-- 9 until 19 -->
+
+<!-- 20 -->
+
+<!-- 21 and 22 -->
+
+<!-- 23 -->
+
+<PacmanPointSphere position="70,10,168">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="70,10,183">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- 26 -->
+
+<!-- 27 and 28 -->
+
+<!-- 29 -->
+
+
+<!-- POINTS seventh column -->
+
+<!-- 1 -->
+
+<PacmanPointSphere position="135,10,-179">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="135,10,-163">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="135,10,-147">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- 5 -->
+
+<PacmanPointSphere position="135,10,-115">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="135,10,-99">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- 8 -->
+
+<PacmanPointSphere position="135,10,-67">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="135,10,-51">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="135,10,-35">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="135,10,-19">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="135,10,-3">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="135,10,15">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="135,10,30">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="135,10,45">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="135,10,61">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="135,10,76">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="135,10,91">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- 20 -->
+
+<PacmanPointSphere position="135,10,122">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="135,10,137">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- 23 -->
+
+<PacmanPointSphere position="135,10,168">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="135,10,183">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- 26 -->
+
+<!-- 27 and 28 -->
+
+<!-- 29 -->
+
+<!-- POINTS first column -->
+
+<!-- 1 -->
+
+<PacmanPointSphere position="215,10,-179">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="215,10,-163">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="215,10,-147">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- 5 -->
+
+<PacmanPointSphere position="215,10,-115">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="215,10,-99">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- 8 -->
+
+<!-- 9 until 19 -->
+
+<!-- 20 -->
+
+<PacmanPointSphere position="215,10,122">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="215,10,137">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- 23 -->
+
+<!-- 24 and 25 -->
+
+<!-- 26 -->
+
+<PacmanPointSphere position="215,10,214">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="215,10,229">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- 29 -->
+
+
+<!-- AfraidPoints -->
+<PacmanPointAfraid position="-215,10,-163">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointAfraid.mesh" scale="10" />
+    </attached>
+</PacmanPointAfraid>
+
+<PacmanPointAfraid position="215,10,-163">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointAfraid.mesh" scale="10" />
+    </attached>
+</PacmanPointAfraid>
+
+<PacmanPointAfraid position="-215,10,105">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointAfraid.mesh" scale="10" />
+    </attached>
+</PacmanPointAfraid>
+
+<PacmanPointAfraid position="215,10,105">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointAfraid.mesh" scale="10" />
+    </attached>
+</PacmanPointAfraid>
+
+
+<!-- Map -->
+<StaticEntity position="0,0,25" direction="0,0,0" collisionType=static mass=100000 friction=0.01 >
+    <attached> 
+        <Model position="0,0,0" mesh="PacmanMap.mesh" scale="50" /> 
+    </attached> 
+    <collisionShapes> 
+
+  <!-- Edge -->  
+  <BoxCollisionShape position="250,10,0" halfExtents="15,15,250" />
+  <BoxCollisionShape position="-250,10,0" halfExtents="15,15,250" />
+  <BoxCollisionShape position="0,10,250" halfExtents="250,15,15" />
+  <BoxCollisionShape position="0,10,-250" halfExtents="250,15,15" />
+
+   <!-- Shapes in order -->    
+  <BoxCollisionShape position="-200,10,-65" halfExtents="55,30,35" />
+  <BoxCollisionShape position="-200,10,30" halfExtents="55,30,35" />
+  <BoxCollisionShape position="200,10,-65" halfExtents="55,30,35" />
+  <BoxCollisionShape position="200,10,30" halfExtents="55,30,35" />
+  <BoxCollisionShape position="-175,10,-195" halfExtents="30,30,20" /> <!-- 5 -->  
+  <BoxCollisionShape position="-80,10,-195" halfExtents="40,30,20" />
+  <BoxCollisionShape position="-175,10,-140" halfExtents="30,30,10" />
+  <BoxCollisionShape position="0,10,-210" halfExtents="10,30,30" />
+  <BoxCollisionShape position="80,10,-195" halfExtents="40,30,20" />
+  <BoxCollisionShape position="175,10,-195" halfExtents="30,30,20" /> <!-- 10 -->
+  <BoxCollisionShape position="175,10,-140" halfExtents="30,30,10" />
+  <BoxCollisionShape position="0,10,-140" halfExtents="60,30,10" />
+  <BoxCollisionShape position="0,10,-110" halfExtents="10,30,25" />
+  <BoxCollisionShape position="-100,10,-90" halfExtents="10,30,60" />
+  <BoxCollisionShape position="-70,10,-90" halfExtents="25,30,10" /> <!-- 15 -->
+  <BoxCollisionShape position="100,10,-90" halfExtents="10,30,60" />
+  <BoxCollisionShape position="70,10,-90" halfExtents="25,30,10" />
+  <BoxCollisionShape position="0,10,-20" halfExtents="60,30,35" />
+  <BoxCollisionShape position="-100,10,30" halfExtents="10,30,35" />
+  <BoxCollisionShape position="0,10,50" halfExtents="60,30,10" /> <!-- 20 -->
+  <BoxCollisionShape position="0,10,80" halfExtents="10,30,25" />
+  <BoxCollisionShape position="100,10,30" halfExtents="10,30,35" />
+  <BoxCollisionShape position="-175,10,100" halfExtents="30,30,10" />
+  <BoxCollisionShape position="-155,10,130" halfExtents="10,30,25" />
+  <BoxCollisionShape position="-75,10,100" halfExtents="35,30,10" /> <!-- 25 -->
+  <BoxCollisionShape position="75,10,100" halfExtents="35,30,10" />
+  <BoxCollisionShape position="175,10,100" halfExtents="30,30,10" />
+  <BoxCollisionShape position="155,10,130" halfExtents="10,30,25" />
+  <BoxCollisionShape position="-220,10,150" halfExtents="20,30,10" />
+  <BoxCollisionShape position="220,10,150" halfExtents="20,30,10" /> <!-- 30 -->
+  <BoxCollisionShape position="0,10,150" halfExtents="60,30,10" />
+  <BoxCollisionShape position="0,10,180" halfExtents="10,30,25" />
+  <BoxCollisionShape position="-100,10,170" halfExtents="10,30,25" />
+  <BoxCollisionShape position="-125,10,200" halfExtents="80,30,10" />
+  <BoxCollisionShape position="100,10,170" halfExtents="10,30,25" /> <!-- 35 -->
+  <BoxCollisionShape position="125,10,200" halfExtents="80,30,10" />
+
+
+    </collisionShapes> 
+</StaticEntity>
+
+
+<Template name=Portal>
+    <PortalEndPoint>
+        <attached>
+            <Model mesh="Spacegate.mesh" yaw="90"/>
+        </attached>
+    </PortalEndPoint>
+</Template>
+
+<PortalEndPoint position="-240,15,5" id="1" distance="40" target="Pawn" design="Portal"/>
+<PortalEndPoint position="240,15,5" id="2" distance="40" target="Pawn" design="Portal"/>
+<PortalLink fromID="1" toID="2" />
+<PortalLink fromID="2" toID="1" />
+  </Scene>
+</Level>
Index: code/branches/mergeFS18/data/levels/templates/PacmanGelb.oxt
===================================================================
--- code/branches/mergeFS18/data/levels/templates/PacmanGelb.oxt	(revision 12045)
+++ code/branches/mergeFS18/data/levels/templates/PacmanGelb.oxt	(revision 12045)
@@ -0,0 +1,79 @@
+<Template name=PacmanGelb>
+  <PacmanGelb
+   hudtemplate            = spaceshiphud
+   camerapositiontemplate = spaceshipescortcameras
+   spawnparticlesource    = "Orxonox/fairytwirl"
+   spawnparticleduration  = 3
+   explosionchunks        = 10
+
+   health            = 80
+   maxhealth         = 200
+   initialhealth     = 80
+
+   shieldhealth        = 35
+   initialshieldhealth = 35
+   maxshieldhealth     = 60
+   shieldabsorption    = 0.9
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
+
+   primaryThrust     = 150
+   auxilaryThrust    = 30
+   rotationThrust    = 50
+
+   lift = 1;
+   stallSpeed = 220;
+
+   boostPower            = 20
+   boostPowerRate        = 1
+   boostRate             = 5
+   boostCooldownDuration = 10
+
+   shakeFrequency = 0
+   shakeAmplitude = 0
+
+   collisionType     = "dynamic"
+   mass              = 80
+   linearDamping     = 0.9
+   angularDamping    = 0.9999999
+  >
+    <engines>
+      <MultiStateEngine position=" 7.6, 0, 6" template=spaceshipescortengine />
+      <MultiStateEngine position="-7.6, 0, 0" template=spaceshipescortengine />
+    </engines>
+    <attached>
+      <Model position="0,0,0" yaw=180 pitch=0 roll=0 scale=5 mesh="PacmanGelb.mesh" />
+    </attached>
+    <collisionShapes>
+      <BoxCollisionShape position="0    ,0 ,  0" halfExtents="1,50,1" />
+    </collisionShapes>
+
+  </PacmanGelb>
+</Template>
+
+<Template name=spaceshipescortcameras defaults=0>
+  <PacmanGelb>
+    <camerapositions>
+      <CameraPosition position="0,7, 10" drag=true mouselook=true />
+    </camerapositions>
+  </PacmanGelb>
+</Template>
+
+<Template name=spaceshipescortengine baseclass=MultiStateEngine>
+  <MultiStateEngine
+   boostfactor    = 1.0
+
+   speedfront     = 80
+   speedback      = 40
+   speedleftright =  1
+   speedupdown    =  1
+
+   accelerationfront     = 100
+   accelerationbrake     = 5
+   accelerationback      =  100
+   accelerationleftright =  5
+   accelerationupdown    =  5
+  >
+
+  </MultiStateEngine>
+</Template>
